<?php

declare(strict_types=1);

namespace Gls\GlsPoland\MessageHandler\Consignment;

use Gls\GlsPoland\Message\BulkCreateConsignmentsCommand;
use Gls\GlsPoland\PrestaShop\MessageHandler\CommandHandlerInterface;

interface BulkCreateConsignmentsHandlerInterface extends CommandHandlerInterface
{
    public function handle(BulkCreateConsignmentsCommand $command): CreateConsignmentsResult;
}
